﻿@model eCommerce.BackOffice.ViewModels.SupplierAccountingViewModel
@{
    ViewBag.Title = "Cuenta Corriente";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Cuenta Corriente - @Model.Supplier.Name</h1>

    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-outline" onclick="window.location.href = '/Suppliers'">
                <i class="icon wb-arrow-left" aria-hidden="true"></i>
                <span class="hidden-xs">VOLVER</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-success" onclick="">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                <span class="hidden-xs">EXPORTAR A EXCEL</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-@(Model.Supplier.Balance >= 0 ? "success" : "danger")" onclick="">
                <i class="icon fa-money" aria-hidden="true"></i>
                <span class="hidden-xs">SALDO: @string.Format("{0:C2}", Model.Supplier.Balance)</span>
            </button>
        </div>

        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-default btn-@(Model.Supplier.BalanceUsd >= 0 ? "success" : "danger")" onclick="">
                <i class="icon fa-money" aria-hidden="true"></i>
                <span class="hidden-xs">SALDO USD: @string.Format("{0:C2}", Model.Supplier.BalanceUsd)</span>
            </button>
        </div>

    </div>

</div>

<div class="page-content">

    <div class="panel">
        <div class="panel-body">
            @Html.Partial("_SupplierAccountingList", Model.Transactions)
        </div>
    </div>

</div>

@section Scripts {

    <script type="text/javascript">

        $(document).ready(function ()
        {
            //setActionsDialogs();
        })


    </script>
}

